Skip to main content
`Ctrl`+`K`

# DMDASetBoundaryType

Sets the type of ghost nodes on domain boundaries for a `DMDA` object.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetBoundaryType(DM da, DMBoundaryType bx, DMBoundaryType by, DMBoundaryType bz)

Not Collective

## Input Parameters

- da - The `DMDA`

- bx - x boundary type, one of `DM_BOUNDARY_NONE`, `DM_BOUNDARY_GHOSTED`, `DM_BOUNDARY_PERIODIC`

- by - y boundary type, one of `DM_BOUNDARY_NONE`, `DM_BOUNDARY_GHOSTED`, `DM_BOUNDARY_PERIODIC`

- bz - z boundary type, one of `DM_BOUNDARY_NONE`, `DM_BOUNDARY_GHOSTED`, `DM_BOUNDARY_PERIODIC`

## Note

The default is `DM_BOUNDARY_NONE`

## See Also

DMDA - Creating vectors for structured grids, `DMDAGetBoundaryType()`, `DM`, `DMDA`, `DMDACreate()`, `DMDestroy()`, `DMBoundaryType`, `DM_BOUNDARY_NONE`, `DM_BOUNDARY_GHOSTED`, `DM_BOUNDARY_PERIODIC`

## Level

intermediate

## Location

src/dm/impls/da/da.c

## Examples

src/dm/tutorials/ex19.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages